//////////////////////////////////////////
// Dump.cpp
//Copyright (c) 03/04/2021 by BCCSkelton
//////////////////////////////////////////
#include	"Dump.h"
#include	"ToolTip.h"
#include	"DumpProc.h"

////////////////
// WinMain関数
////////////////
int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
					LPSTR lpCmdLine, int nCmdShow) {

	//データファイル付きで起動する場合（ByFileフラグを立てる）
	if(arg.c() > 1) {
		Dump.m_FileName = arg.v(1);
		g_ByFile = TRUE;
	}

	//モードレスダイアログを作成Create(hParent, DlgName, DlgProc);
	if(!Dump.Create(NULL, hInstance, "IDD_DUMP", ModelessProc))
		return 0L;

	//メッセージループに入る
	return Dump.Loop();
}
